Imports Microsoft.VisualBasic
Imports System
Imports DemoApp.Model

Namespace DemoApp.DataAccess
	''' <summary>
	''' Event arguments used by CustomerRepository's CustomerAdded event.
	''' </summary>
	Public Class CustomerAddedEventArgs
		Inherits EventArgs
		Public Sub New(ByVal newCustomer As Customer)
			Me.NewCustomer = newCustomer
		End Sub

		Private privateNewCustomer As Customer
		Public Property NewCustomer() As Customer
			Get
				Return privateNewCustomer
			End Get
			Private Set(ByVal value As Customer)
				privateNewCustomer = value
			End Set
		End Property
	End Class
End Namespace